      subroutine reors(ijkl,is,js,ks,ls)
      integer ijkl(4) 
      if(is<js) then
         i=is
         is=js
         js=i
         ijkl((/1,2/))=ijkl((/2,1/))
      endif
      if(ks<ls) then
         i=ks
         ks=ls
         ls=i
         ijkl((/3,4/))=ijkl((/4,3/))
      endif
      if(is<ks) then
         i=is
         is=ks
         ks=i
         i=js
         js=ls
         ls=i
         ijkl((/1,2,3,4/))=ijkl((/3,4,1,2/))
      endif
      return
      end
      


